Subject: Re: bug#27386: offloading documentation and env

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 04 Jul 2017 16:51:12 +0300

Hi,

I'm trying to setup offloading too.  Just for the report I had an issue
after setting up `%load-path` for guile with `.bashrc` snippet.  It
seems that also required call `guix build` with `--substitute-urls=HOST`
because without it I get `acquired build slot` loop like in
https://lists.gnu.org/archive/html/guix-devel/2015-05/msg00035.html

~/.bashrc on magnolia.local
if [ -n "$SSH_CLIENT" -a "`type -P guile`" ]
then
    source /etc/profile
fi

natsu@clover ~$ guix offload test
guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
guix offload: 'magnolia.local' is running guile (GNU Guile) 2.2.2
guix offload: Guix is usable on 'magnolia.local' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
sending 1 store item to 'magnolia.local'...
exporting path `/gnu/store/j1xdys0rk60czdfv9riwykdh7iqdhszi-export-test'
guix offload: 'magnolia.local' successfully imported '/gnu/store/j1xdys0rk60czdfv9riwykdh7iqdhszi-export-test'
retrieving 1 store item from 'magnolia.local'...
guix offload: successfully imported '/gnu/store/ij4z815jpvrsmnf2awvmfw8w44vh7ndw-import-test' from 'magnolia.local'

natsu@clover ~$ guix build blender
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
process 5294 acquired build slot '/var/guix/offload/magnolia.local/0'
waiting for locks or build slots...
process 5294 acquired build slot '/var/guix/offload/magnolia.local/0'
process 5294 acquired build slot '/var/guix/offload/magnolia.local/0'
process 5294 acquired build slot '/var/guix/offload/magnolia.local/0'
process 5294 acquired build slot '/var/guix/offload/magnolia.local/0'
process 5294 acquired build slot '/var/guix/offload/magnolia.local/0'
  C-c C-c

natsu@clover ~$ ssh magnolia.local cat /proc/loadavg
0.03 0.01 0.00 1/186 2660

natsu@clover ~$ ssh magnolia.local guix package -I gui -p /run/current-system/profile
guile-ssh	0.11.0	out	/gnu/store/pzhi01qhc19v5xzfgjbqybnbsd7inicx-guile-ssh-0.11.0
guix	0.13.0-2.de9d8f0	out	/gnu/store/nrd0v38d61l8y16vqkb1gws0bw45q885-guix-0.13.0-2.de9d8f0
guile	2.2.2	out	/gnu/store/1pzfigry5bnh3n146w0ib77vkd2g6jdc-guile-2.2.2
emacs-guix	0.3.1	out	/gnu/store/3ahyhf5fp6jvvln0xw0v1bjka1z6i69m-emacs-guix-0.3.1

natsu@clover ~$ guix build --substitute-urls='http://magnolia.local https://mirror.hydra.gnu.org https://hydra.gnu.org' blender
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
The following derivations will be built:
   /gnu/store/gkxd3c7pncy0pw8gz6b4w2h4yna5b0qr-blender-2.78a.drv
   /gnu/store/4lcmay4nyk9j3v86wpvvncmy1qkzb6lz-fftw-3.3.5.drv
   /gnu/store/as3s0ip004kjnkppkp1i56gaakhzcxq1-openimageio-1.6.15.drv
   /gnu/store/v9m0icyrwdbn6wq5bncpz5cw7ng3p4dm-ffmpeg-2.8.12.drv
   /gnu/store/yw10vy3i1anmwlgg38hwjn2wxica03cx-jemalloc-4.5.0.drv
51.4 MB will be downloaded:
   /gnu/store/78dbbi0hqx7irsqcmjzk1xrfh1q8r5ln-jemalloc-4.5.0
   /gnu/store/885wcx1sxbqg9f40900xzjpgm9c4lb4i-blender-2.78a
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'http://magnolia.local'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
@ substituter-started /gnu/store/78dbbi0hqx7irsqcmjzk1xrfh1q8r5ln-jemalloc-4.5.0 /gnu/store/nrd0v38d61l8y16vqkb1gws0bw45q885-guix-0.13.0-2.de9d8f0/libexec/guix/substitute
updating list of substitutes from 'https://hydra.gnu.org'... 100.0%
Downloading https://hydra.gnu.org/guix/nar/gzip/78dbbi0hqx7irsqcmjzk1xrfh1q8r5ln-jemalloc-4.5.0...
 jemalloc-4.5.0  645KiB                                              758KiB/s 00:01 [####################] 100.0%

@ substituter-succeeded /gnu/store/78dbbi0hqx7irsqcmjzk1xrfh1q8r5ln-jemalloc-4.5.0
@ build-started /gnu/store/v9m0icyrwdbn6wq5bncpz5cw7ng3p4dm-ffmpeg-2.8.12.drv - x86_64-linux /var/log/guix/drvs/v9//m0icyrwdbn6wq5bncpz5cw7ng3p4dm-ffmpeg-2.8.12.drv.bz2
grafting '/gnu/store/sgxg0wprb4bqlnkdfk46rvhq1a0xzfvx-ffmpeg-2.8.12' -> '/gnu/store/ghjryqmclglr8g4jiyyj21g7vdzzj40n-ffmpeg-2.8.12'...
@ build-succeeded /gnu/store/v9m0icyrwdbn6wq5bncpz5cw7ng3p4dm-ffmpeg-2.8.12.drv -
@ substituter-started /gnu/store/885wcx1sxbqg9f40900xzjpgm9c4lb4i-blender-2.78a /gnu/store/nrd0v38d61l8y16vqkb1gws0bw45q885-guix-0.13.0-2.de9d8f0/libexec/guix/substitute
Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/885wcx1sxbqg9f40900xzjpgm9c4lb4i-blender-2.78a...
 blender-2.78a  48.4MiB                                              3.8MiB/s 00:13 [####################] 100.0%

@ substituter-succeeded /gnu/store/885wcx1sxbqg9f40900xzjpgm9c4lb4i-blender-2.78a
@ build-started /gnu/store/4lcmay4nyk9j3v86wpvvncmy1qkzb6lz-fftw-3.3.5.drv - x86_64-linux /var/log/guix/drvs/4l//cmay4nyk9j3v86wpvvncmy1qkzb6lz-fftw-3.3.5.drv.bz2
grafting '/gnu/store/j3pja3bjg7jha04dzhhkb588y3765fql-fftw-3.3.5' -> '/gnu/store/rq8lav2nqxiid8i1v5bml1rq2lfj0lqb-fftw-3.3.5'...
@ build-succeeded /gnu/store/4lcmay4nyk9j3v86wpvvncmy1qkzb6lz-fftw-3.3.5.drv -
@ build-started /gnu/store/yw10vy3i1anmwlgg38hwjn2wxica03cx-jemalloc-4.5.0.drv - x86_64-linux /var/log/guix/drvs/yw//10vy3i1anmwlgg38hwjn2wxica03cx-jemalloc-4.5.0.drv.bz2
grafting '/gnu/store/78dbbi0hqx7irsqcmjzk1xrfh1q8r5ln-jemalloc-4.5.0' -> '/gnu/store/0r54ndf05vigzanx035m78jkackg8z54-jemalloc-4.5.0'...
@ build-succeeded /gnu/store/yw10vy3i1anmwlgg38hwjn2wxica03cx-jemalloc-4.5.0.drv -
@ build-started /gnu/store/as3s0ip004kjnkppkp1i56gaakhzcxq1-openimageio-1.6.15.drv - x86_64-linux /var/log/guix/drvs/as//3s0ip004kjnkppkp1i56gaakhzcxq1-openimageio-1.6.15.drv.bz2
grafting '/gnu/store/ig69hi5lq1zx68hhp6vxkk83bp507ppv-openimageio-1.6.15' -> '/gnu/store/fyi9602hv2wjgcj55qw6f0i6sam854m8-openimageio-1.6.15'...
@ build-succeeded /gnu/store/as3s0ip004kjnkppkp1i56gaakhzcxq1-openimageio-1.6.15.drv -
@ build-started /gnu/store/gkxd3c7pncy0pw8gz6b4w2h4yna5b0qr-blender-2.78a.drv - x86_64-linux /var/log/guix/drvs/gk//xd3c7pncy0pw8gz6b4w2h4yna5b0qr-blender-2.78a.drv.bz2
grafting '/gnu/store/885wcx1sxbqg9f40900xzjpgm9c4lb4i-blender-2.78a' -> '/gnu/store/1q7y82f5af720na9zgsdqm0vyzgszkfb-blender-2.78a'...
@ build-succeeded /gnu/store/gkxd3c7pncy0pw8gz6b4w2h4yna5b0qr-blender-2.78a.drv -
/gnu/store/1q7y82f5af720na9zgsdqm0vyzgszkfb-blender-2.78a